### Method

# GdkPixbuf Pixbuf get_pixels_with_length

#### Declaration [src]

    guchar*
    gdk_pixbuf_get_pixels_with_length (
      const GdkPixbuf* pixbuf,
      guint* length
    )

#### Description [src]

Queries a pointer to the pixel data of a pixbuf.

This function will cause an implicit copy of the pixbuf data if the pixbuf was created from read-only data.

Please see the section on image data for information about how the pixel data is stored in memory.

Available since: | 2.26
This method is renamed to `gdk_pixbuf_get_pixels()` in language bindings

#### Parameters

`length` | `guint*`
| The length of the binary data.
| The argument will be set by the function.

#### Return value

Returns: | An array of `guchar`
| A pointer to the pixbuf’s pixel data.
| The length of the array is in the `length` argument.
| The data is owned by the instance.